Subject: Re: ssh and name resolution
From: Michael Wardle <[email-masked]>
To: [email-masked]
Date: Fri, 31 May 2002 10:30:56 +1000

Michael Wardle wrote:
> Michael Wardle wrote:
> 
>> I have a local host called "meerkat" that I want to connect to via ssh.
>> When I issue "ssh meerkat", I get a warning:
>> "The authenticity of host 'meerkat(202.50.84.15)' can't be established"
>> Yet meerkat is a host on my local 192.168.x.x subnet.
>> "nslookup meerkat" returns the expected IP address in 192.168.x.x.
> 
> 
> Thanks to all who replied so far, but you've all missed the point:
> when I "ssh meerkat", I am connecting to a different host than the 
> meerkat I expected.
> 
> ping meerkat gives one host (202.50.84.15)
> nslookup meerkat gives another (192.168.x.x)

Sorry, I've been leaving out some implied details.

Obviously the issue is a more generic name resolution issue, it's just I 
first noticed it when trying to use ssh.

The other thing is that ping and nslookup work as expected on the 
underlying system (Windows 2000), it's only under Cygwin that the issue 
exists.  I didn't notice an /etc/hosts or a /etc/resolv.conf, so I 
assume that Cygwin gets this information from the underlying system, but 
I'll do some more reading...

-- 
MICHAEL WARDLE
SGI Desktop & Admin Software
Adacel Technologies Limited

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/